# My Home collection ![language](https://img.shields.io/badge/language-laravel-blue.svg) ![issues](https://img.shields.io/github/issues-raw/Chouchen/Shikiryu_backup) ![ci](https://ci.canhelpme.com/build-status/image/7?branch=main&label=PHPCensor&style=flat-square)

> Because I need to keep some house in mind

App to save house sale ads

## :books: Table of Contents

- [Installation](#package-installation)
- [Usage](#rocket-usage)
- [Support](#hammer_and_wrench-support)
- [Contributing](#memo-contributing)
- [License](#scroll-license)

## :package: Installation

### Requirements

 * git
 * composer
 * yarn or npm
 * a database (SQLite, MySQL, …)

### Then install this script

```sh
git clone https://git.shikiryu.com/Shikiryu/MyHomeCollection.git
composer install
yarn install
```

## :rocket: Usage

Create an account, add an ad, use the app !

## :hammer_and_wrench: Support

Please [open an issue](https://git.shikiryu.com/Shikiryu/MyHomeCollection/issues/new) for support.

## :memo: Contributing

Please contribute using [Github Flow](https://guides.github.com/introduction/flow/). Create a branch, add commits, and [open a pull request](https://github.com/Chouchen/Shikiryu_Backupleonard-henriquez/readme-boilerplateleonard-henriquez/readme-boilerplate/compare/).

## :scroll: License

[Creative Commons Attribution NonCommercial (CC-BY-NC)](https://tldrlegal.com/license/creative-commons-attribution-noncommercial-(cc-nc)) © [Chouchen](https://github.com/Chouchen/)
