<?php

namespace App\Console\Commands;

use App\Home;
use Illuminate\Console\Command;

class DownloadImagesCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:downloadimages';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $homes = Home::where('pictures_downloaded', false)->get();
        foreach ($homes as $home) {
            $this->call('app:downloadimage', [
                'id' => $home->id
            ]);
        }

        return 0;
    }
}
