<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

class SymlinkToSVGIconCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:svgsymlink';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Add SVG Symlink';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $target = base_path('node_modules/bootstrap-icons/bootstrap-icons.svg');
        $link = public_path('images/bootstrap-icons.svg');
        if (file_exists($link)) {
            unlink($link);
        }
        return (int) !symlink($target, $link);
    }
}
