<?php

use App\Parser\ImmobilierNotaires;
use App\Parser\LannionImmo;
use App\Parser\LBC;
use App\Parser\Orpi;
use App\Parser\OuestFrance;
use App\Parser\Pap;
use App\Parser\Safti;
use App\Parser\SeLoger;

return [
    'parsers' => [
        'leboncoin.fr'          => LBC::class,
        'seloger.com'           => SeLoger::class,
        'pap.fr'                => Pap::class,
        'ouestfrance-immo.com'  => OuestFrance::class,
        'lannion.immo'          => LannionImmo::class,
        'immobilier.notaires.fr'=> ImmobilierNotaires::class,
        'orpi.com'              => Orpi::class,
        'safti.fr'              => Safti::class,
    ],
];
